is_infinite
lcg_value
Math Functions
PHP Manual

# is_nan

(PHP 4 >= 4.2.0, PHP 5)

is_nan — Finds whether a value is not a number

### Description

bool is_nan ( float `$val` )

Checks whether `val` is 'not a number', like the result of acos(1.01).

### Parameters

`val`

  The value to check

### Return Values

Returns `TRUE` if `val` is 'not a number', else `FALSE`.

### See Also

- is_finite()
- is_infinite()

is_infinite
lcg_value
Math Functions
PHP Manual